LogHarbour: logging - Task #18071

Go lib: modify Logger.NewLogger() to accept a token

01/03/2024 06:12 PM - Shuvam Misra

Status: New

Priority: Normal
Assignee: Sachin Divekar
Category:

Target version: Sprint 12 Apr

Start date:

Due date: 15/03/2024
% Done: 0%
Estimated time: 0.00 hour

Description

The Logger.NewLogger() function creates a new Logger instance. This function now needs to accept a write token and store it in the
Logger object. So, modify the Logger struct to add a new field for the token, and modify the Logger.NewLogger() function to accept

this as a parameter.

Related issues:

Precedes LogHarbour: logging - Task #18076: Writer daemon: implement token su...

New

23/05/2024

History

#1 - 01/03/2024 07:13 PM - Shuvam Misra
- Precedes Task #18076: Writer daemon: implement token support added

#2 - 11/03/2024 04:51 PM - Shuvam Misra

- Assignee set to Sachin Divekar

#3 - 20/03/2024 03:22 PM - Shuvam Misra
- Target version changed from Sprint 15 Mar to Sprint 29 Mar

#4 - 26/03/2024 07:33 PM - Shuvam Misra
- Target version changed from Sprint 29 Mar to Sprint 12 Apr

29/04/2025
